export function isTriangle(a: number, b: number, c: number): boolean {
  if (a < 0 || b < 0 || c < 0) return false;

  return a + b > c && a < b + c && b < a + c;
}

console.log(isTriangle(7, 2, 2), false);
console.log(isTriangle(1, 2, 2), true);
console.log(isTriangle(4, 2, 3), true);
console.log(isTriangle(2, 2, 2), true);
console.log(isTriangle(1, 2, 3), false);
console.log(isTriangle(-5, 1, 3), false);
console.log(isTriangle(0, 2, 3), false);
console.log(isTriangle(1, 2, 9), false);
